ports/devel/autoconf2.13/files/patch-autoupdate.sh
Tijl Coosemans ec2102597a devel/autoconf*: restructure to prepare for 2.71
- Rename autoconf 2.13 port directory, package, and command all to
  autoconf2.13 just like ports like perl and python.
- Let USES=autoreconf run gtkdocize if necessary.
- Rewrite autoconf-wrapper and rename it autoconf-switch to reflect
  better what it does.
- Delete patch-bison.  It has been reverted upstream.
- Add a patch to let autoreconf set the AUTOCONF environment variable
  so subprocesses like automake use the correct version.
- Make building of info files optional.
- Address portlint, portclippy, portfmt issues in devel/autoconf*.

PR:		259556, 263970
2022-05-27 11:51:04 +02:00

20 lines
611 B
Bash

--- autoupdate.sh.orig 2000-02-27 16:18:10 UTC
+++ autoupdate.sh
@@ -26,7 +26,7 @@ Usage: autoupdate [-h] [--help] [-m dir] [--macrodir=d
Usage: autoupdate [-h] [--help] [-m dir] [--macrodir=dir]
[--version] [template-file]"
-sedtmp=/tmp/acups.$$
+sedtmp=`mktemp ${TMPDIR-/tmp}/acups.XXXXXXXXXX` || exit 1
# For debugging.
#sedtmp=/tmp/acups
show_version=no
@@ -66,7 +66,7 @@ fi
: ${SIMPLE_BACKUP_SUFFIX='~'}
-tmpout=acupo.$$
+tmpout=`mktemp acupo.XXXXXXXXXX` || { rm -f $sedtmp; exit 1; }
trap 'rm -f $sedtmp $tmpout; exit 1' 1 2 15
case $# in
0) infile=configure.in; out="> $tmpout"